Source: libarray-intspan-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libarray-intspan-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libarray-intspan-perl.git
Homepage: https://metacpan.org/release/Array-IntSpan

Package: libarray-intspan-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Multi-Arch: foreign
Description: Handles arrays of scalars or objects using integer ranges as index
 Array::IntSpan brings the speed advantages of Set::IntSpan to
 arrays. Uses include manipulating grades, routing tables, or any other
 situation where you have mutually exclusive ranges of integers that
 map to given values.
 .
 Array::IntSpan is also able to consolidate ranges
 by comparing the adjacent values of the range. If 2 adjacent values
 are identical, the 2 adjacent ranges are merged.
